(defun agw-touch (fname)
  (interactive "FFile to touch: ")
  (start-process "agw-touch" nil "touch" (expand-file-name fname)))

(defun agw-lisp-mode ()
  (setq-local indent-tabs-mode nil)
  (setq-local standard-indent  2)
  (setq-local tab-width        2))

(defun agw-org-mode ()
  (variable-pitch-mode)
  (org-bullets-mode)
  (flyspell-mode)
  (setq-local indent-tabs-mode nil)
  (setq-local standard-indent  2)
  (setq-local tab-width        2))

(defun agw-ranger-mode ()
  (local-set-key (kbd "C-c t") #'agw-touch))

(add-hook 'org-mode-hook #'agw-org-mode)

(add-hook 'emacs-lisp-mode-hook #'agw-lisp-mode)
(add-hook 'lisp-mode-hook       #'agw-lisp-mode)
(add-hook 'reb-lisp-mode-hook   #'agw-lisp-mode)
(add-hook 'scheme-mode-hook     #'agw-lisp-mode)
(add-hook 'haskell-mode-hook    #'agw-lisp-mode)

(add-hook 'ranger-mode-hook #'agw-ranger-mode)

;; EOF
