(require 'paradox)
(paradox-enable)

(require 'rust-mode)

(require 'evil)
(evil-collection-init)

(require 'powerline)
(powerline-center-evil-theme)

(require 'all-the-icons)

(require 'org)
(dolist (face '(org-block-begin-line
                org-block-end-line
                org-block
                org-code
                org-date
                org-document-info-keyword
                org-verbatim
                org-checkbox))
  (set-face-attribute face nil :inherit 'fixed-pitch))

(require 'smart-tabs-mode)
(smart-tabs-add-language-support rust rust-mode-hook
  ((rust-mode-indent-line . rust-indent-offset)))
(smart-tabs-add-language-support fish fish-mode-hook
  ((fish-indent-line . fish-indent-offset)))
(smart-tabs-insinuate
 'c
 'fish
 'javascript
 'rust)

(require 'ranger)

(require 'mozc)
(setq default-input-method "japanese-mozc")

;; EOF
