(custom-set-variables
 ;; custom-set-variables was added by Custom.
 ;; If you edit it by hand, you could mess it up, so be careful.
 ;; Your init file should contain only one such instance.
 ;; If there is more than one, they won't work right.
 '(auto-save-default nil)
 '(backup-directory-alist (quote ((".*" . "~/.emacs.d/backup"))))
 '(before-save-hook (quote (copyright-update delete-trailing-whitespace)))
 '(create-lockfiles nil)
 '(current-language-environment "UTF-8")
 '(custom-enabled-themes (quote (base16-atelier-cave)))
 '(custom-safe-themes
   (quote
    ("1d079355c721b517fdc9891f0fda927fe3f87288f2e6cc3b8566655a64ca5453" default)))
 '(dired-listing-switches "-alhp --si")
 '(dired-mode-hook (quote (all-the-icons-dired-mode)))
 '(diredfl-global-mode t nil (diredfl))
 '(evil-cjk-emacs-word-boundary t)
 '(evil-cross-lines t)
 '(evil-lion-mode t)
 '(evil-lookup-func (quote man))
 '(evil-mode t)
 '(evil-shift-width 3)
 '(evil-vsplit-window-right t)
 '(fill-column 80)
 '(fish-indent-offset 3)
 '(gc-cons-threshold 20000000)
 '(global-mark-ring-max 1024)
 '(global-whitespace-mode nil)
 '(horizontal-scroll-bar-mode nil)
 '(hscroll-step 1)
 '(indent-tabs-mode t)
 '(inhibit-startup-screen t)
 '(initial-buffer-choice "~/org/init.org")
 '(initial-frame-alist (quote ((width . 80) (height . 30))))
 '(initial-scratch-message nil)
 '(keyboard-coding-system (quote utf-8-unix))
 '(line-move-ignore-invisible nil)
 '(mark-ring-max 1024)
 '(menu-bar-mode nil)
 '(mouse-wheel-progressive-speed nil)
 '(org-fontify-whole-heading-line t)
 '(org-hide-emphasis-markers t)
 '(org-hide-leading-stars t)
 '(org-hide-macro-markers t)
 '(org-indent-indentation-per-level 2)
 '(org-link-frame-setup
   (quote
    ((vm . vm-visit-folder)
     (vm-imap . vm-visit-imap-folder)
     (gnus . gnus)
     (file . find-file)
     (wl . wl))))
 '(org-list-indent-offset 2)
 '(org-log-done (quote note))
 '(org-pretty-entities t)
 '(org-return-follows-link t)
 '(org-startup-folded nil)
 '(package-enable-at-startup nil)
 '(package-selected-packages
   (quote
    (haskell-mode fish-mode evil-collection ranger deadgrep smart-tabs-mode evil-lion dired-sidebar diredfl rainbow-delimiters all-the-icons-dired org-bullets markdown-mode all-the-icons rust-mode base16-theme powerline evil ## undo-tree paradox)))
 '(prog-mode-hook
   (quote
    (flyspell-prog-mode prettify-symbols-mode subword-mode rainbow-delimiters-mode whitespace-mode)))
 '(rainbow-delimiters-max-face-count 8)
 '(ranger-override-dired (quote ranger))
 '(ranger-override-dired-mode t)
 '(repeat-too-dangerous nil)
 '(require-final-newline t)
 '(ruby-insert-encoding-magic-comment nil)
 '(scroll-bar-mode nil)
 '(scroll-conservatively 101)
 '(scroll-step 1)
 '(sentence-end-double-space nil)
 '(show-paren-delay 0.0)
 '(show-paren-mode t)
 '(show-paren-style (quote parenthesis))
 '(standard-indent 3)
 '(tab-always-indent nil)
 '(tab-width 3)
 '(tool-bar-mode nil)
 '(transient-mark-mode t)
 '(vc-follow-symlinks t)
 '(whitespace-style
   (quote
    (face trailing tabs spaces space-before-tab space-mark tab-mark))))
(custom-set-faces
 ;; custom-set-faces was added by Custom.
 ;; If you edit it by hand, you could mess it up, so be careful.
 ;; Your init file should contain only one such instance.
 ;; If there is more than one, they won't work right.
 '(mode-line ((t (:background "#0a0a0a" :foreground "#92ebf0" :box (:line-width -1 :style released-button) :height 65 :family "Dina"))))
 '(mode-line-buffer-id ((t (:foreground "#2a9292" :box (:line-width -1 :style released-button) :height 65 :family "Dina"))))
 '(mode-line-emphasis ((t (:foreground "#e2dfe7" :box (:line-width -1 :style released-button) :slant italic :height 65 :family "Dina"))))
 '(mode-line-highlight ((t (:foreground "#955ae7" :box (:line-width -1 :style released-button) :weight bold :height 65 :family "Dina"))))
 '(mode-line-inactive ((t (:background "#26232a" :foreground "#655f6d" :box (:line-width -1 :style released-button) :height 65 :family "Dina"))))
 '(org-document-title ((t (:foreground "#aa573c" :weight bold :height 1.6))))
 '(org-level-1 ((t (:inherit outline-1 :height 1.35))))
 '(org-level-2 ((t (:inherit outline-2 :height 1.3))))
 '(org-level-3 ((t (:inherit outline-3 :height 1.25))))
 '(org-level-4 ((t (:inherit outline-4 :foreground "dark slate blue" :height 1.2))))
 '(org-level-5 ((t (:height 1.15))))
 '(org-level-6 ((t (:inherit outline-6 :height 1.1))))
 '(org-level-7 ((t (:inherit outline-7 :height 1.05))))
 '(rainbow-delimiters-depth-1-face ((t (:foreground "#e88385"))))
 '(rainbow-delimiters-depth-2-face ((t (:foreground "#ec79c0"))))
 '(rainbow-delimiters-depth-3-face ((t (:foreground "#cb88e8"))))
 '(rainbow-delimiters-depth-4-face ((t (:foreground "#9181e8"))))
 '(rainbow-delimiters-depth-5-face ((t (:foreground "#8dc8e8"))))
 '(rainbow-delimiters-depth-6-face ((t (:foreground "#9fe8b6"))))
 '(rainbow-delimiters-depth-7-face ((t (:foreground "#e2e8ab"))))
 '(rainbow-delimiters-depth-8-face ((t (:foreground "#e8c498"))))
 '(variable-pitch ((t (:height 120 :family "Noto Sans"))))
 '(whitespace-space ((t (:background "#00000000" :foreground "#7e4594"))))
 '(whitespace-tab ((t (:background "#00000000" :foreground "#7e4594")))))
